{"openapi":"3.1.0","info":{"title":"Myaza Trust API","version":"1.0.0","description":"Canonical server API for Risk Intelligence, Monitoring, Fraud Monitoring and Investigations."},"servers":[{"url":"https://trust.myaza.app/api/v1","description":"Production"},{"url":"https://sandbox-api.toden.co/api/v1","description":"Sandbox"}],"tags":[{"name":"Risk Intelligence"},{"name":"Monitoring"},{"name":"Fraud Monitoring"},{"name":"Crypto operations"},{"name":"Travel Rule"},{"name":"Signals"},{"name":"Alerts"},{"name":"Investigations"},{"name":"Webhooks"}],"paths":{"/crypto/catalogue":{"get":{"tags":["Crypto operations"],"summary":"Get crypto operation catalogue","operationId":"getGetcryptooperationcatalogue","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoCatalogue"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/network/status":{"get":{"tags":["Crypto operations"],"summary":"Check configured wallet-discovery capabilities, not live exchange qualification","operationId":"getCheckconfiguredwalletdiscoverycapabilitiesnotliveexchangequalification","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDiscoveryStatus"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/network/institutions":{"get":{"tags":["Crypto operations"],"summary":"List exchange-network institutions without approving Myaza directory records","operationId":"getListexchangenetworkinstitutionswithoutapprovingMyazadirectoryrecords","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoNetworkInstitutions"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}/discovery":{"post":{"tags":["Crypto operations"],"summary":"Find the crypto provider for a saved wallet using a stable requestId; never proves ownership or transfer clearance","operationId":"postFindthecryptoproviderforasavedwalletusingastablerequestIdneverprovesownershiportransferclearance","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDiscoveryRequest"}}}},"responses":{"202":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDiscoveryResult"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}/discovery/{requestId}":{"get":{"tags":["Crypto operations"],"summary":"Poll the same scoped wallet discovery request after at least 12 seconds","operationId":"getPollthesamescopedwalletdiscoveryrequestafteratleast12seconds","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}},{"name":"requestId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDiscoveryResult"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/providers":{"get":{"tags":["Crypto operations"],"summary":"Search crypto providers","operationId":"getSearchcryptoproviders","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"search","in":"query","schema":{"type":"string","maxLength":200}},{"name":"page","in":"query","schema":{"type":"integer","minimum":1,"maximum":10000,"default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"network","in":"query","schema":{"type":"string","maxLength":80}},{"name":"jurisdiction","in":"query","schema":{"type":"string","pattern":"^[A-Z]{2}$"}},{"name":"reviewStatus","in":"query","schema":{"type":"string","enum":["all","reviewed","needs_review","inactive"]}},{"name":"evidence","in":"query","schema":{"type":"string","enum":["all","present","absent"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoProviderCollection"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/providers/{id}":{"get":{"tags":["Crypto operations"],"summary":"Get crypto provider evidence","operationId":"getGetcryptoproviderevidence","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"historyPage","in":"query","schema":{"type":"integer","minimum":1,"maximum":10000,"default":1},"description":"Evidence page, 25 records per page, newest first."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoProviderDetail"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/providers/{id}/reviews":{"post":{"tags":["Crypto operations"],"summary":"Review crypto provider for your organisation","operationId":"postReviewcryptoproviderforyourorganisation","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoProviderReviewInput"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoProviderReviewMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses":{"get":{"tags":["Crypto operations"],"summary":"List crypto addresses","operationId":"getListcryptoaddresses","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"search","in":"query","schema":{"type":"string","maxLength":200}},{"name":"page","in":"query","schema":{"type":"integer","minimum":1,"maximum":10000,"default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"network","in":"query","schema":{"type":"string","maxLength":80}},{"name":"status","in":"query","schema":{"type":"string","enum":["all","needs_review","approved","suspended","archived"],"default":"all"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressCollection"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Crypto operations"],"summary":"Register crypto address","operationId":"postRegistercryptoaddress","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressMutation"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/workspace":{"get":{"tags":["Crypto operations"],"summary":"Get crypto profile and connection activity","operationId":"getGetcryptoprofileandconnectionactivity","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoWorkspace"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/onboarding":{"get":{"tags":["Travel Rule"],"summary":"Resume Travel Rule setup and current checks","operationId":"getResumeTravelRulesetupandcurrentchecks","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelRuleSetup"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Travel Rule"],"summary":"Save setup, verify a test or request activation. Never accepts certificates or grants transfer clearance.","operationId":"postSavesetupverifyatestorrequestactivationNeveracceptscertificatesorgrantstransferclearance","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelRuleSetupCommand"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelRuleSetupMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/connections":{"get":{"tags":["Crypto operations"],"summary":"List scoped institutional connections and current test status","operationId":"getListscopedinstitutionalconnectionsandcurrentteststatus","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoExchangeConnections"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/connections/{id}":{"post":{"tags":["Crypto operations"],"summary":"Test or pause an approved institutional connection without transferring personal data or funds","operationId":"postTestorpauseanapprovedinstitutionalconnectionwithouttransferringpersonaldataorfunds","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoExchangeConnectionCommand"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoExchangeConnectionMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/profile":{"patch":{"tags":["Crypto operations"],"summary":"Update organisation crypto profile","operationId":"patchUpdateorganisationcryptoprofile","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoProfileWrite"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoProfileMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}/metadata":{"patch":{"tags":["Crypto operations"],"summary":"Edit address metadata without changing the wallet","operationId":"patchEditaddressmetadatawithoutchangingthewallet","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressMetadata"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}/reveal":{"post":{"tags":["Crypto operations"],"summary":"Reveal a complete address with an audited reason","operationId":"postRevealacompleteaddresswithanauditedreason","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressAction"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressRevealed"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}/control-challenge":{"post":{"tags":["Crypto operations"],"summary":"Create an expiring wallet control statement","operationId":"postCreateanexpiringwalletcontrolstatement","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressAction"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoWalletChallengeMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}/control-proof":{"post":{"tags":["Crypto operations"],"summary":"Verify signed wallet control proof","operationId":"postVerifysignedwalletcontrolproof","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoWalletProof"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}/screening":{"get":{"tags":["Crypto operations"],"summary":"Get latest wallet screening result","operationId":"getGetlatestwalletscreeningresult","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressScreening"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Crypto operations"],"summary":"Screen a saved wallet with canonical pricing","operationId":"postScreenasavedwalletwithcanonicalpricing","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressAction"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressScreeningStarted"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/addresses/{id}":{"get":{"tags":["Crypto operations"],"summary":"Get crypto address history","operationId":"getGetcryptoaddresshistory","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"historyPage","in":"query","schema":{"type":"integer","minimum":1,"maximum":10000,"default":1},"description":"Evidence page, 25 records per page, newest first."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressDetail"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"patch":{"tags":["Crypto operations"],"summary":"Review crypto address","operationId":"patchReviewcryptoaddress","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressReview"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/deposits":{"get":{"tags":["Crypto operations"],"summary":"List deposit observations","operationId":"getListdepositobservations","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"search","in":"query","schema":{"type":"string","maxLength":200}},{"name":"page","in":"query","schema":{"type":"integer","minimum":1,"maximum":10000,"default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"status","in":"query","schema":{"type":"string","enum":["all","unmatched","needs_review","matched","ignored"],"default":"all"},"description":"unmatched includes needs_review and matching observations."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositCollection"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Crypto operations"],"summary":"Observe crypto deposit","operationId":"postObservecryptodeposit","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositMutation"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/deposits/{id}":{"get":{"tags":["Crypto operations"],"summary":"Get crypto deposit history","operationId":"getGetcryptodeposithistory","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"historyPage","in":"query","schema":{"type":"integer","minimum":1,"maximum":10000,"default":1},"description":"Evidence page, 25 records per page, newest first."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositDetail"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"patch":{"tags":["Crypto operations"],"summary":"Review deposit observation","operationId":"patchReviewdepositobservation","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositReview"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/deposits/{id}/matches":{"post":{"tags":["Crypto operations"],"summary":"Link canonical transaction","operationId":"postLinkcanonicaltransaction","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositMatch"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/deposits/{id}/assessment":{"post":{"tags":["Crypto operations"],"summary":"Assess and match deposit to customer","operationId":"postAssessandmatchdeposittocustomer","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositPromotion"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/crypto/deposits/{id}/address":{"post":{"tags":["Crypto operations"],"summary":"Save deposit destination to address book","operationId":"postSavedepositdestinationtoaddressbook","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositAddress"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoAddressMutation"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/risk-assessments":{"get":{"tags":["Risk Intelligence"],"summary":"List risk assessments","operationId":"getListriskassessments","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Risk Intelligence"],"summary":"Create risk assessment","operationId":"postCreateriskassessment","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RiskAssessmentCreate"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ObjectResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/risk-assessments/{id}":{"get":{"tags":["Risk Intelligence"],"summary":"Get risk assessment","operationId":"getGetriskassessment","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ObjectResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/wallet-screenings":{"get":{"tags":["Risk Intelligence"],"summary":"List on-demand wallet screenings","operationId":"getListondemandwalletscreenings","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningCollection"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Risk Intelligence"],"summary":"On-Demand Wallet Screening","operationId":"postOnDemandWalletScreening","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"202":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/wallet-screenings/{id}":{"get":{"tags":["Risk Intelligence"],"summary":"Get wallet screening","operationId":"getGetwalletscreening","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/wallet-screenings/{id}/report":{"get":{"tags":["Risk Intelligence"],"summary":"Download wallet risk PDF","operationId":"getDownloadwalletriskPDF","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"PDF report","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/wallet-screenings/{id}/signed-report":{"get":{"tags":["Risk Intelligence"],"summary":"Download signed wallet screening report","operationId":"getDownloadsignedwalletscreeningreport","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"PDF report","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/transaction-screenings":{"get":{"tags":["Risk Intelligence"],"summary":"List legacy wallet checks with transaction references","operationId":"getListlegacywalletcheckswithtransactionreferences","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningCollection"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Risk Intelligence"],"summary":"Screen a wallet and retain a transaction reference (compatibility)","operationId":"postScreenawalletandretainatransactionreferencecompatibility","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoTransactionScreeningCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"202":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/transaction-screenings/{id}":{"get":{"tags":["Risk Intelligence"],"summary":"Get crypto transaction screening","operationId":"getGetcryptotransactionscreening","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletScreeningResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/transaction-screenings/{id}/report":{"get":{"tags":["Risk Intelligence"],"summary":"Download crypto transaction risk PDF","operationId":"getDownloadcryptotransactionriskPDF","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"PDF report","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/policies":{"get":{"tags":["Monitoring"],"summary":"List monitoring policies","operationId":"getListmonitoringpolicies","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Monitoring"],"summary":"Create monitoring policy","operationId":"postCreatemonitoringpolicy","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/policies/{id}":{"get":{"tags":["Monitoring"],"summary":"Get monitoring policy","operationId":"getGetmonitoringpolicy","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/policies/{id}/archive":{"post":{"tags":["Monitoring"],"summary":"Archive monitoring policy","operationId":"postArchivemonitoringpolicy","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyArchiveResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/policies/{id}/versions":{"post":{"tags":["Monitoring"],"summary":"Create monitoring policy version","operationId":"postCreatemonitoringpolicyversion","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyVersionCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyVersionResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyVersionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/policies/{id}/versions/{versionId}/publish":{"post":{"tags":["Monitoring"],"summary":"Publish monitoring policy version","operationId":"postPublishmonitoringpolicyversion","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}},{"name":"versionId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringPolicyResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions":{"get":{"tags":["Monitoring"],"summary":"List monitoring subscriptions","operationId":"getListmonitoringsubscriptions","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Monitoring"],"summary":"Create monitoring subscription","operationId":"postCreatemonitoringsubscription","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/bulk":{"post":{"tags":["Monitoring"],"summary":"Bulk create monitoring subscriptions","operationId":"postBulkcreatemonitoringsubscriptions","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringBulkEnrollmentCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringEnrollmentJobResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringEnrollmentJobResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/{id}":{"get":{"tags":["Monitoring"],"summary":"Get monitoring subscription","operationId":"getGetmonitoringsubscription","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"patch":{"tags":["Monitoring"],"summary":"Update monitoring policy or frequency","operationId":"patchUpdatemonitoringpolicyorfrequency","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionUpdate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/{id}/pause":{"post":{"tags":["Monitoring"],"summary":"Pause monitoring subscription","operationId":"postPausemonitoringsubscription","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/{id}/resume":{"post":{"tags":["Monitoring"],"summary":"Resume monitoring subscription","operationId":"postResumemonitoringsubscription","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/{id}/stop":{"post":{"tags":["Monitoring"],"summary":"Stop monitoring subscription","operationId":"postStopmonitoringsubscription","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/{id}/enable":{"post":{"tags":["Monitoring"],"summary":"Enable monitoring after it was stopped","operationId":"postEnablemonitoringafteritwasstopped","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionEnable"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/{id}/run":{"post":{"tags":["Monitoring"],"summary":"Run monitoring subscription","operationId":"postRunmonitoringsubscription","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringManualRunCreate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringRunResponse"}}}},"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringRunResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/subscriptions/{id}/scenario":{"post":{"tags":["Monitoring"],"summary":"Set monitoring sandbox scenario","operationId":"postSetmonitoringsandboxscenario","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringScenarioUpdate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSubscriptionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/runs":{"get":{"tags":["Monitoring"],"summary":"List monitoring runs","operationId":"getListmonitoringruns","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/runs/{id}":{"get":{"tags":["Monitoring"],"summary":"Get monitoring run","operationId":"getGetmonitoringrun","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringRunResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/deltas":{"get":{"tags":["Monitoring"],"summary":"List monitoring deltas","operationId":"getListmonitoringdeltas","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/screenings":{"get":{"tags":["Monitoring"],"summary":"List screening evidence","operationId":"getListscreeningevidence","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScreeningCollectionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/screenings/{id}":{"get":{"tags":["Monitoring"],"summary":"Get screening evidence, attempts and adjudication history","operationId":"getGetscreeningevidenceattemptsandadjudicationhistory","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"name":"id","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScreeningResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/monitoring/settings":{"get":{"tags":["Monitoring"],"summary":"Get organisation monitoring settings","operationId":"getGetorganisationmonitoringsettings","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSettingsResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"patch":{"tags":["Monitoring"],"summary":"Update organisation monitoring settings","operationId":"patchUpdateorganisationmonitoringsettings","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/IdempotencyKey"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSettingsUpdate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringSettingsResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}},"/transactions":{"get":{"tags":["Fraud Monitoring"],"summary":"List transaction assessments","operationId":"getListtransactionassessments","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","in":"header","required":false,"schema":{"type":"string","enum":["2026-08-11"]},"description":"Optional supported contract pin. Omit to preserve the default contract."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionResponse"}}}},"400":{"$ref":"#/components/responses/ValidationError"},"401":{"$ref":"#/components/responses/AuthenticationError"},"402":{"$ref":"#/components/responses/InsufficientCredit"},"403":{"$ref":"#/components/responses/PermissionError"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"413":{"$ref":"#/components/responses/ValidationError"},"422":{"$ref":"#/components/responses/ValidationError"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalError"},"502":{"$ref":"#/components/responses/ServiceUnavailable"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}},"post":{"tags":["Fraud Monitoring"],"summary":"Assess transaction","operationId":"postAssesstransaction","security":[{"secretKey":[]}],"parameters":[{"$ref":"#/components/parameters/RequestId"},{"name":"Myaza-Version","i
[...]
